#include <bits/stdc++.h>
#define N 1000005
using namespace std;
long long n,res=1,cp,a[N];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    freopen("CAU4.INP","r",stdin);
    freopen("CAU4.OUT","w",stdout);
    cin>>n;
    for(int i=1;i<=n;i++){
        cin>>a[i];
    }
    cp=a[1];
    for(int i=2;i<=n;i++){
        if(a[i]>cp){
            res++;
            cp=a[i];
        }
    }
    cout<<n-res;
    return 0;
}
